# Format test files from [Plexon](https://plexon.com/) electrophysiology recording systems

## Plexon 1 files

### File_Plexon_{}.plx
Plexon 1 files. Some comments on them:

- Plexon 1: does not have signal channels, only spikes
- Plexon 2: does not have signa channels, only spikes
- Plexon 3: has only one signal channel with channel name "V1"



### 4chDemoPLX.plx
Taken from the Plexon site same as above but in PLX (plexon 1) format. 

## Plexon 2 files

### `4chDemoPL2.pl2`
This file is taken from the [Plexon website](https://plexon.com/wp-content/uploads/2017/08/4chTetrodeDemoPL2.pl2) and contains data of a four channel tetrode: PL2 file with one tetrode channel of sorted spikes, continuous wideband, and continuous field potentials. 16 channels of events. One channel of strobed data that increments in value from 32513 to 32767. One channel of auxiliary analog input. See also the [data samples provided by plexon](https://plexon.com/software-downloads/#software-downloads-data-samples)


### NC16FPSPKEVT_1m.pl2
This file was contributed by Nikhil Chandra. The following is his description:

> The rig I used to generate this file had 16 channels. While setting up the recording session, I cycled through the four possible combinations of m_ChannelEnabled and m_ChannelRecordingEnabled for FP (analog) and SPK (spike) recording streams. This means there should be 4 channels’ worth of FP and SPK data (channels 1, 5, 9, and 13, I think). For EVT, it turns out that the ability to set the enabled flags is not exposed through the UI, so they’re always set to True. The file has 16 channels of event data. I am not sure yet whether I will include these event channels in the test. 

> The recording lasts 1 minute

For a discussiong about the origins of this file refer to this PR in python neo:
https://github.com/NeuralEnsemble/python-neo/pull/1546

